<!doctype html>
<!--[if IE 9]><html class="lt-ie10" lang="en" > <![endif]-->
<html class="no-js" lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Block grid | Foundation Docs</title>
    <link rel="icon" href="../assets/img/icons/favicon.ico" type="image/x-icon">
    <!-- For third-generation iPad with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="../assets/img/icons/apple-touch-icon-144x144-precomposed.png">
    <!-- For iPhone with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="../assets/img/icons/apple-touch-icon-114x114-precomposed.png">
    <!-- For first- and second-generation iPad: -->
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="../assets/img/icons/apple-touch-icon-72x72-precomposed.png">
    <!-- For non-Retina iPhone, iPod Touch, and Android 2.1+ devices: -->
    <link rel="apple-touch-icon-precomposed" href="../assets/img/icons/apple-touch-icon-precomposed.png">

    <meta name="description" content="Documentation and reference library for ZURB Foundation. JavaScript, CSS, components, grid and more.">
    <meta name="author" content="ZURB, inc. ZURB network also includes zurb.com">
    <meta name="copyright" content="ZURB, inc. Copyright (c) 2014">

    <link href='../assets/css/docs.css' rel='stylesheet' />
    <script src="../assets/js/modernizr.js"></script>
  </head>
  <body class="antialiased hide-extras">
    <div class="marketing off-canvas-wrap" data-offcanvas>
      <div class="inner-wrap">

         <title>Foundation: The Most Advanced Responsive Front-end Framework from ZURB</title><meta name="description" content="Foundation from ZURB is the most advanced responsive front-end framework in the world." />
 

<!-- <nav class="tab-bar show-for-small">
  <a class="off-canvas-left-toggle menu-icon ">
    <span></span>
  </a>  
</nav> -->


<nav class="top-bar docs-bar hide-for-small" data-topbar>
  <ul class="title-area">
    <li class="name">
      <h1><a href="http://foundation.zurb.com/">Foundation</a></h1>
    </li>
  </ul>

  <section class="top-bar-section">
    <ul class="right">
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/learn/features.html" class="">Learn</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/learn/features.html">Features</a></li>
          <li><a href="http://foundation.zurb.com/learn/faq.html">FAQ</a></li>
          <li><a href="http://foundation.zurb.com/learn/case-washington-post.html">Case Studies</a></li>
          <li><a href="http://foundation.zurb.com/learn/website-examples.html">Website Examples</a></li>
          <li><a href="http://foundation.zurb.com/learn/video-started-with-foundation.html">Videos</a></li>
          <li><a href="http://foundation.zurb.com/learn/training.html">Training</a></li>
          <li><a href="http://foundation.zurb.com/learn/about.html">About</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/templates.html" class="">Develop</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/templates.html">Add-ons</a></li>
          <li><a href="http://foundation.zurb.com/docs">Docs</a></li>
          <li><a href="http://foundation.zurb.com/develop/download.html">Download</a></li>
          <li><a href="http://foundation.zurb.com/develop/contribute.html">Contribute</a></li>
          <li><a href="http://foundation.zurb.com/develop/tools.html">Tools</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/support/support.html" class="">Support</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/support/support.html">Support Channels</a></li>
          <li><a href="http://foundation.zurb.com/forum">Foundation Forum</a></li>
          <li><a href="http://foundation.zurb.com/support/images-and-badges.html">Images &amp; Badges</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/business/services.html" class="">Business</a>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/docs" class="">Docs</a>
      </li>
      <li class="divider"></li>
      <li class="has-form">
        <a href="http://foundation.zurb.com/docs" class="small button">Getting Started</a>
    </ul>
  </section>
</nav>
        <nav class="tab-bar show-for-small">
  <a class="left-off-canvas-toggle menu-icon">
    <span>Foundation</span>
  </a>
</nav>

<aside class="marketing-left-off-canvas-menu">

  <ul class="off-canvas-list">
    <li><label class="first">Foundation</label></li>
    <li><a href="http://foundation.zurb.com">Home</a></li>
  </ul>

  <hr>

  <ul class="off-canvas-list">
      <li><label>Setup</label></li>

      <li><a href="../index.html" data-search="">Getting Started</a></li>
      <li><a href="../css.html" data-search="Styles">CSS</a></li>
      <li><a href="../sass.html" data-search="SCSS">Sass</a></li>
      <li><a href="../applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="../javascript.html" data-search="">Javascript</a></li>
      <li><a href="global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="../upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li><label>Structure</label></li>
      <li><a href="../media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="visibility.html" data-search="">Visibility</a></li>
      <li><a href="grid.html" data-search="">Grid</a></li>
      <li><a href="block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="../utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="../javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li><label>Navigation</label></li>
      <li><a href="offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li><label>Media</label></li>
      <li><a href="orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li><label>Forms</label></li>
      <li><a href="forms.html" data-search="">Forms</a></li>
      <li><a href="switch.html" data-search="">Switches</a></li>
      <li><a href="range_slider.html" data-search="Range Slider">Sliders <span class="label">JS</span></a></li>
      <li><a href="abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Buttons</label></li>
      <li><a href="buttons.html" data-search="">Buttons</a></li>
      <li><a href="button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Typography</label></li>
      <li><a href="typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="labels.html" data-search="Tags">Labels</a></li>
      <li><a href="keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Callouts &amp; Prompts</label></li>
      <li><a href="reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="panels.html" data-search="Wells">Panels</a></li>
      <li><a href="tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Content</label></li>
      <li><a href="dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="tables.html" data-search="">Tables</a></li>
      <li><a href="accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Support</label></li>

      <li><a href="../changelog.html" data-search="">Changelog</a></li>
      <li><a href="../compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Older Docs</label></li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>
    </ul>

    <hr>

    <div class="zurb-links">
    <ul class="top">
      <li class="logo"><a href="http://zurb.com"></a></li>
      <li><a href="http://zurb.com/about">About</a></li>
      <li><a href="http://zurb.com/blog">Blog</a></li>
      <li><a href="http://zurb.com/contact">Contact</a></li>
    </ul>
    <ul class="pillars">
      <li>
        <a href="http://www.zurb.com/studios" class="footer-link-block services">
          <span class="title">Studios</span>
          <span>Helping startups win since '98.</span>
        </a>
      </li>
      <li>
        <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
          <span class="title">Foundation</span>
          <span>World's most advanced responsive framework.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/apps" class="footer-link-block apps">
          <span class="title">Design Apps</span>
          <span>Tools to rapidly prototype and iterate.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/university" class="footer-link-block expo">
          <span class="title">University</span>
          <span>Online training for smarter product design.</span>
        </a>
      </li>
    </ul>
</div>

  </ul>
</aside>

<a class="exit-off-canvas" href="#"></a>


        <section role="main" class="scroll-container">

          <div class="row">
            <div class="large-3 medium-4 columns">
              <div class="hide-for-small">
                <div class="sidebar">
  <h5>Foundation Documentation</h5>
  <form>
    <!--  <label>Search Documentation</label> -->
    <input tabindex="1" id="autocomplete" type="search" placeholder="Search Docs: e.g. forms">
  </form>

  <nav>
    <ul class="side-nav">
      <li class="heading">Setup</li>

      <li><a href="../index.html" data-search="">Getting Started</a></li>
      <li><a href="../css.html" data-search="Styles">CSS</a></li>
      <li><a href="../sass.html" data-search="Sass">Sass</a></li>
      <li><a href="../applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="../javascript.html" data-search="">JavaScript</a></li>
      <li><a href="global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="../upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li class="heading">Structure</li>
      <li><a href="../media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="visibility.html" data-search="">Visibility</a></li>
      <li><a href="grid.html" data-search="">Grid</a></li>
      <li><a href="block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="../utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="../javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li class="heading">Navigation</li>
      <li><a href="offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li class="heading">Media</li>
      <li><a href="orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li class="heading">Forms</li>
      <li><a href="forms.html" data-search="">Forms</a></li>
      <li><a href="switch.html" data-search="">Switches</a></li>
      <li><a href="range_slider.html" data-search="Range Slider">Range Sliders <span class="label">JS</span></a></li>
      <li><a href="abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Buttons</li>
      <li><a href="buttons.html" data-search="">Buttons</a></li>
      <li><a href="button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Typography</li>
      <li><a href="typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="labels.html" data-search="Tags">Labels</a></li>
      <li><a href="keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading">Callouts &amp; Prompts</li>
      <li><a href="reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="panels.html" data-search="Wells">Panels</a></li>
      <li><a href="tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Content</li>
      <li><a href="dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="tables.html" data-search="">Tables</a></li>
      <li><a href="accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Support</li>

      <li><a href="../changelog.html" data-search="">Changelog</a></li>
      <li><a href="../compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading">Older Docs</li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>

    </ul>
  </nav>

  <a href="/develop/download.html" class="download button expand">Download Foundation</a>

  <section id="jobs">
    <h5>Get a job, nerd!</h5>
    <script type="text/javascript" src="http://www.zurb.com/jobs/widgets/jobs.js?limit=3"></script>
    <p class="via">via <a href="http://www.zurb.com/jobs">Job Board from ZURB</a></p>
  </section>

</div>
              </div>
            </div>
            <div class="large-9 medium-8 columns">
              <h1 id="block-grid">Block grid</h1>
              <h3 class="subheader">Block grids give you a way to evenly split contents of a list within the grid. If you wanted to create a row of five images or paragraphs that need to stay evenly spaced no matter the screen size, the block grid is for you.</h3>

<hr>
<ul class="small-block-grid-3">
  <li><img class="th" src="../assets/img/examples/satelite.jpg"></li>
  <li><img class="th" src="../assets/img/examples/space.jpg"></li>
  <li><img class="th" src="../assets/img/examples/spacewalk.jpg"></li>
</ul>

<hr>
<h3>Basic</h3>

<p>Use a simple <code>small-block-grid-#</code> class to code up the block grid and specify the number of items in a row.</p>
<div class="row">
  <div class="large-6 columns">
    <h4>HTML</h4>
    <pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">ul</span> <span class="attribute">class</span>=<span class="value">&quot;small-block-grid-3&quot;</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
<span class="tag">&lt;/<span class="title">ul</span>&gt;</span></div></code></pre>



  </div>
  <div class="large-6 columns">
    <h4>Rendered HTML</h4>
    <ul class="small-block-grid-3">
  <li><img class="th" src="../assets/img/examples/satelite.jpg"></li>
  <li><img class="th" src="../assets/img/examples/space.jpg"></li>
  <li><img class="th" src="../assets/img/examples/spacewalk.jpg"></li>
</ul>
  </div>
</div>

<hr>
<h3>Advanced</h3>

<p>Use additional classes to specify a different number of items in a row for each screen size.</p>
<div class="row">
  <div class="large-6 columns">
    <h4>HTML</h4>
    <pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">ul</span> <span class="attribute">class</span>=<span class="value">&quot;small-block-grid-2 medium-block-grid-3 large-block-grid-4&quot;</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="comment">&lt;!-- Your content goes here --&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
<span class="tag">&lt;/<span class="title">ul</span>&gt;</span></div></code></pre>



  </div>
  <div class="large-6 columns">
    <h4>Rendered HTML</h4>
    <ul class="small-block-grid-2 medium-block-grid-3 large-block-grid-4">
  <li><img class="th" src="../assets/img/examples/comet-th.jpg"></li>
  <li><img class="th" src="../assets/img/examples/earth-th.jpg"></li>
  <li><img class="th" src="../assets/img/examples/launch-th.jpg"></li>
  <li><img class="th" src="../assets/img/examples/satelite-th.jpg"></li>
  <li><img class="th" src="../assets/img/examples/space-th.jpg"></li>
  <li><img class="th" src="../assets/img/examples/spacewalk-th.jpg"></li>
</ul>
  </div></div>

<p>If you use the <code>small-block-grid</code> only, the grid will keep its spacing and configuration no matter the screen size. If you use <code>large-block-grid</code> only, the list items will stack on top of each other for small devices. If you use both of those classes combined, you can control the configuration and layout separately for each breakpoint.</p>
<hr>
<h2 id="customize-with-sass">Customize With Sass</h2>
<p>Block grids can be easily customized with the Sass variables provided in the <code>_settings.scss</code> file.</p>
<h4>SCSS</h4>

<pre><code class="language-scss"><div class="code-container"><span class="comment">// We use this to control the maximum blocks and spacing </span>
$<span class="value">block</span>-grid-elements<span class="value">: <span class="number">12</span>;</span>
$<span class="value">block</span>-grid-<span class="value">default</span>-spacing<span class="value">: rem-calc(<span class="number">20</span>);</span>
$align-<span class="value">block</span>-grid-to-grid<span class="value">: false;</span> <span class="comment">//removes column gutter so edges of block grid align with grid</span>

<span class="comment">// Enables media queries for block-grid classes. Set to false if writing semantic HTML.</span>
$<span class="value">block</span>-grid-media-queries<span class="value">: true;</span></div></code></pre>


<hr>
<h2 id="semantic-markup-with-sass-mixins">Semantic Markup With Sass Mixins</h2>
<p>You apply block grid styles to semantic markup using Sass mixins.</p>
<h3>Basic</h3>

<p>You can use the <code>block-grid(#)</code> mixin to create your own block grid, like so:</p>
<div class="row">
  <div class="large-6 columns">
    <h4>SCSS</h4>
<pre><code class="language-scss"><div class="code-container"><span class="class">.your-class-name</span> {
  <span class="at_rule">@<span class="keyword">include</span><span class="preprocessor"> block-grid</span>(<span class="number">3</span>);</span>
}</div></code></pre>

  </div>
  <div class="large-6 columns">
    <h4>HTML</h4>
<pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">ul</span> <span class="attribute">class</span>=<span class="value">&quot;your-class-name&quot;</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="tag">&lt;<span class="title">img</span> <span class="attribute">src</span>=<span class="value">&quot;<a href="http://placehold.it/100x100">http://placehold.it/100x100</a>&quot;</span> /&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="tag">&lt;<span class="title">img</span> <span class="attribute">src</span>=<span class="value">&quot;<a href="http://placehold.it/100x100">http://placehold.it/100x100</a>&quot;</span> /&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
  <span class="tag">&lt;<span class="title">li</span>&gt;</span><span class="tag">&lt;<span class="title">img</span> <span class="attribute">src</span>=<span class="value">&quot;<a href="http://placehold.it/100x100">http://placehold.it/100x100</a>&quot;</span> /&gt;</span><span class="tag">&lt;/<span class="title">li</span>&gt;</span>
<span class="tag">&lt;/<span class="title">ul</span>&gt;</span></div></code></pre>

  </div>
</div>

<h3>Advanced</h3>

<p>You can further customize your block grid using the provided options in the <code>block-grid()</code> mixin:</p>
<h4>SCSS</h4>

<pre><code class="language-scss"><div class="code-container"><span class="class">.your-class-name</span> {
  <span class="at_rule">@<span class="keyword">include</span><span class="preprocessor"> block-grid</span>(
    //<span class="preprocessor"> This</span><span class="preprocessor"> controls</span><span class="preprocessor"> how</span><span class="preprocessor"> many</span><span class="preprocessor"> elements</span><span class="preprocessor"> will</span><span class="preprocessor"> be</span><span class="preprocessor"> on</span><span class="preprocessor"> each</span><span class="preprocessor"> row</span><span class="preprocessor"> of</span><span class="preprocessor"> the</span><span class="preprocessor"> block</span><span class="preprocessor"> grid.</span><span class="preprocessor"> Set</span><span class="preprocessor"> this</span><span class="preprocessor"> to</span><span class="preprocessor"> whatever</span><span class="preprocessor"> number</span><span class="preprocessor"> you</span><span class="preprocessor"> need</span>,<span class="preprocessor"> up</span><span class="preprocessor"> to</span><span class="preprocessor"> the</span><span class="preprocessor"> max</span><span class="preprocessor"> allowed</span><span class="preprocessor"> in</span><span class="preprocessor"> the</span><span class="preprocessor"> variable.</span>
    //<span class="preprocessor"> Available</span><span class="preprocessor"> options</span>:<span class="preprocessor"> 1-12</span><span class="preprocessor"> by</span><span class="preprocessor"> default</span>,<span class="preprocessor"> and</span><span class="preprocessor"> false.</span>
    $per-row:<span class="preprocessor"> 3</span>,

    //<span class="preprocessor"> This</span><span class="preprocessor"> controls</span><span class="preprocessor"> how</span><span class="preprocessor"> much</span><span class="preprocessor"> space</span><span class="preprocessor"> is</span><span class="preprocessor"> between</span><span class="preprocessor"> each</span><span class="preprocessor"> item</span><span class="preprocessor"> in</span><span class="preprocessor"> the</span><span class="preprocessor"> block</span><span class="preprocessor"> grid.</span>
    //<span class="preprocessor"> Use</span><span class="preprocessor"> a</span><span class="preprocessor"> variable</span><span class="preprocessor"> or</span><span class="preprocessor"> any</span><span class="preprocessor"> pixel</span><span class="preprocessor"> or</span><span class="preprocessor"> em</span><span class="preprocessor"> values.</span>
    $spacing: $block-grid-default-spacing,

    //<span class="preprocessor"> This</span><span class="preprocessor"> controls</span><span class="preprocessor"> whether</span><span class="preprocessor"> or</span><span class="preprocessor"> not</span><span class="preprocessor"> base</span><span class="preprocessor"> styles</span><span class="preprocessor"> come</span><span class="preprocessor"> through</span>,<span class="preprocessor"> set</span><span class="preprocessor"> to</span><span class="preprocessor"> false</span><span class="preprocessor"> to</span><span class="preprocessor"> leave</span><span class="preprocessor"> out.</span>
    $base-style:<span class="preprocessor"> true</span>
  );</span>
}</div></code></pre>



<h3 id="clear-block-grid-rows">Clear Block Grid Rows</h3>
<p>When you use mixins and you want to control the layout using different classes, add this snippet to your Sass:</p>
<h4>SCSS</h4>

<pre><code class="language-scss"><div class="code-container"><span class="class">.your-small-class-name</span> &gt; <span class="tag">li</span> {
  <span class="attribute">clear</span><span class="value">: none <span class="important">!important</span>;</span>
}</div></code></pre>


<hr />

<h3 id="sass-errors-">Sass Errors?</h3>
<p>If the default &quot;foundation&quot; import was commented out, then make sure you import this file:</p>
<h4>SCSS</h4>

<pre><code class="language-scss"><div class="code-container"><span class="at_rule">@<span class="keyword">import</span> <span class="string">"foundation/components/block-grid"</span>;</span></div></code></pre>

            </div>
          </div>
          <section id="courses-banner-large">
  <div class="row">
    <div class="large-5 medium-5 columns banner-image">
      <img src="http://foundation.zurb.com/assets/img/responsive-banner-main.svg" alt="responsive design">
    </div>
    <div class="large-7 medium-7 columns banner-info">
      <h3>Get a running start with Foundation</h3>
      <p>Learn the fundamentals of the world's most advanced responsive framework in our <strong>Intro to Foundation class.</strong> You'll learn from the creators themselves on how to use Foundation and jumpstart your next project. <a href="http://zurb.com/university/courses" class="inline-hide">Learn more about classes »</a></p>
      <a href="http://zurb.com/university/foundation-intro?utm_source=Foundation%20Docs&utm_medium=Large%20Banner&utm_campaign=Intro%20to%20Foundation" class="button">Learn More</a>
      <a href="http://zurb.com/university/courses" class="learn-more hide-for-medium-up">Learn more about classes »</a>
    </div>
  </div>
</section>
          <div id="newsletter">
  <div class="row">
    <div class="medium-8 columns">
      <h5>Stay on top of what&rsquo;s happening in <a href="http://zurb.com/responsive">responsive design</a>.</h5>
      <p>Sign up to receive monthly Responsive Reading highlights. <a href="http://zurb.com/responsive/reading">Read Last Month's Edition &raquo;</a></p>
    </div>
    <div class="medium-4 columns">
      <form method="post" action="http://zurb.com/responsive/subscribe">
        <div class="row collapse margintop-20px">
          <div class="small-8 medium-8 columns">
            <input type="text" name="email" placeholder="signup@example.com">
          </div>
          <div class="small-4 medium-4 columns">
            <input type="submit" href="#" class="postfix small button expand" value="Sign Up">
          </div>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="zurb-footer-top bg-fblue">
  <div class="row property">
    <div class="medium-4 columns">
      <div class="property-info">
        <h3>Foundation</h3>
        <p>Foundation is made by <a href="http://zurb.com">ZURB, a product design</a> company in Campbell, California. We've put more than 15 years of experience building web products, services and websites into this framework.
        </p>
      </div>
    </div>

    <div class="medium-8 columns">
      <div class="row collapse">
        <div class="medium-4 columns">
          <div class="learn-links">
            <h4 class="hide-for-small">Want more?</h4>
            <ul>
              <li><a href="http://foundation.zurb.com/business/services.html">Foundation Business</a></li>
              <li><a href="http://zurb.com/responsive">Responsive</a></li>
              <li><a href="http://zurb.com/apps">Design Apps</a></li>
              <li><a href="http://foundation.zurb.com/learn/training.html">Foundation Training</a></li>
            </ul>
          </div>
        </div>
          <div class="medium-4 columns">
            <div class="support-links">
              <h4 class="hide-for-small">Talk to us</h4>
              <p>Tweet us at <br> <a href="https://twitter.com/foundationzurb">@foundationzurb</a></p>
              <p>Email us at <br> <a href="mailto:foundation@zurb.com">foundation@zurb.com</a><br> or check our <a href="../../support/support.html">support page</a></p>
            </div>
          </div>
        <div class="medium-4 columns">
          <div class="connect-links">
            <h4 class="hide-for-small">Stay in touch</h4>
            <p>Keep up with the latest on Foundation. Find us on <a href="https://github.com/zurb/foundation">Github</a>.</p>
            <a href="http://zurb.com/news" class="small button">Stay Connected</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row global">
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/studios" class="footer-link-block services">
        <span class="title">Studios</span>
        <span>Helping more than 200 startups succeed since 1998.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
        <span class="title">Foundation</span>
        <span>The most advanced front-end framework in the world.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/apps" class="footer-link-block apps">
        <span class="title">Design Apps</span>
        <span>Prototype, iterate and collect feedback on your products.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/university" class="footer-link-block expo">
        <span class="title">University</span>
        <span>Ideas, thoughts and design resources shared with you.</span>
      </a>
    </div>
  </div>
</div>

<div class="zurb-footer-bottom">
  <div class="row">
    <div class="medium-4 medium-4 push-8 columns">
      <ul class="home-social">
          <li><a href="http://www.twitter.com/ZURB" class="twitter"></a></li>
          <li><a href="http://www.facebook.com/ZURB" class="facebook"></a></li>
          <li><a href="http://zurb.com/contact" class="mail"></a></li>
        </ul>
     </div>
     <div class="medium-8 medium-8 pull-4 columns">
        <a href="http://www.zurb.com" class="zurb-logo regular"></a>
        <ul class="zurb-links">
          <li><a href="http://zurb.com/about">About</a></li>
          <li><a href="http://zurb.com/blog">Blog</a></li>
          <li><a href="http://zurb.com/news">News<span class="show-for-medium-up"> &amp; Events</span></a></li>
          <li><a href="http://zurb.com/contact">Contact</a></li>
          <li><a href="http://zurb.com/sitemap">Sitemap</a></li>
       </ul>
       <p class="copyright">&copy; 1998&dash;2014 ZURB, Inc. All rights reserved.</p>
    </div>
  </div>
</div>

        </section>

      </div>
    </div>

    <script src="../assets/js/templates.js"></script>
    <script src="../assets/js/all.js"></script>
    <script>
      var _gaq = _gaq || [];
      _gaq.push(
        ['_setAccount', 'UA-2195009-2'],
        ['_trackPageview'],
        ['b._setAccount', 'UA-2195009-27'],
        ['b._trackPageview']
      );

      (function() {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
      })();
    </script>
    <script>
      $(document).foundation().foundation('joyride', 'start');
    </script>
  </body>
</html>
